import { DoCheck, ElementRef, OnChanges, Renderer2, SimpleChanges, OnInit, ChangeDetectorRef, OnDestroy, AfterViewChecked, ComponentRef, ViewContainerRef, ComponentFactoryResolver } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { InputDirective } from '../../input.directive';
import { EuiLabelComponent } from '../atoms/eui-label';
import * as i0 from "@angular/core";
export declare class EuiInputRadioComponent extends InputDirective implements OnInit, DoCheck, OnChanges, OnDestroy, ControlValueAccessor, AfterViewChecked {
    protected ngControl: NgControl;
    private viewContainerRef;
    protected _elementRef: ElementRef<HTMLInputElement>;
    protected _renderer: Renderer2;
    private _cd;
    private resolver;
    get isInvalid(): any;
    set isInvalid(state: any);
    protected _isInvalid: boolean;
    set class(cssClass: string);
    get class(): string;
    label: string;
    protected _labelRef: ComponentRef<EuiLabelComponent>;
    protected type: string;
    get defaultChecked(): any;
    set defaultChecked(value: any);
    protected _defaultChecked: boolean;
    get selected(): boolean;
    private _hasLabel;
    get value(): any;
    set value(value: any);
    private _value;
    constructor(ngControl: NgControl, viewContainerRef: ViewContainerRef, _elementRef: ElementRef<HTMLInputElement>, _renderer: Renderer2, _cd: ChangeDetectorRef, resolver: ComponentFactoryResolver);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngAfterViewChecked(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    writeValue(obj: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    protected onCheckedChanged(target: any): void;
    protected setInvalid(state: any): void;
    protected onChange: (_: any) => void;
    protected onTouched: (_: any) => void;
    private processReadonly;
    /**
     * create readonly element
     * @private
     */
    private createLabelComponent;
    static ɵfac: i0.ɵɵFactoryDef<EuiInputRadioComponent, [{ optional: true; self: true; }, null, null, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiInputRadioComponent, "input[euiInputRadio]", never, { "isInvalid": "isInvalid"; "class": "class"; "label": "label"; "defaultChecked": "checked"; "value": "value"; }, {}, never, never>;
}
